Skip to main content
GET
List all cycles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 50.

Required range: x <= 100
page
string

Cursor token to fetch next page of results.

shopifyOrderId
string

Filter cycles by Shopify Order ID

customerId
integer<int64>

Filter cycles by customer ID

itemId
integer<int64>

Filter by item ID

shopifyVariantId
integer<int64>

Filter by shopify variant ID

shopifyLineItemId
integer<int64>

Filter by shopify line item ID

returnOrderStatus
string

Filter by return order status. Can be a comma-separated list of statuses.

Example:

"requested,expected,received,in_progress,completed,cancelled"

unfulfilled
boolean
default:false

When true, filter cycles to show only unfulfilled ones

created
object

Filter cycles by created at datetime (ISO 8601), using gt, lt, gte, lte operators which may be combined.

updated
object

Filter cycles by when they were last updated (ISO 8601), using gt, lt, gte, lte; operators may be combined. For incremental sync, use gte (on or after) with the time you last pulled data.

rentalStart
object

Filter cycles by cycle start date (ISO 8601), using gt, lt, gte, lte operators which may be combined.

receiveAt
object

Filter cycles by scheduled receive date (ISO 8601), using gt, lt, gte, lte operators which may be combined.

receivedAt
object

Filter cycles by when they were received back from the customer (ISO 8601), using gt, lt, gte, lte operators which may be combined.

fulfillmentStatus
enum<string>

Filter cycles by fulfillment status, can be a comma-separated list of statuses. Use "overdue" to find cycles whose fulfill date has passed but have not yet been fulfilled.

Available options:
due,
scheduled,
overdue,
complete
receivalStatus
enum<string>

Filter cycles by receival status, can be a comma-separated list of statuses. Use "overdue" to find cycles whose return date has passed but have not yet been received back.

Available options:
due,
scheduled,
overdue,
complete

Filter cycles by titles and customer text

excludeCancelled
boolean
default:false

When true, omit cycles that have been cancelled (cancelledAt set). Defaults to false so cancelled cycles are included for incremental sync and external dashboards.

include
string

Comma-separated list of relations to include (e.g., item)

Example:

"item"

Response

A paged array of cycles

data
object[]
nextPage
null | string